class DateMessage extends React.Component
{
    currentDateString(int_format){
        const options = {year: 'numeric', month: '2-digit', day: '2-digit'};
        return (new Intl.DateTimeFormat(int_format, options)).format(Date.now());
    }

    render() {
        return <div className="container">
            <div className="cal-xs-12">
                <span className="pull-right">
                    {this.currentDateString(this.props.format)}
                </span>
            </div>
        </div>
    }
}

ReactDOM.render(<DateMessage format="de-DE"/>, document.getElementById('date'));
